<template>
  <router-link :to="to" class="menu-item" active-class="menu-item-active">
    <font-awesome-icon :icon="icon" class="icon"/>
    <slot/>
  </router-link>
</template>

<script>
  import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

  export default {
    name: 'MenuItem',
    components: { FontAwesomeIcon },
    props: {
      icon: String,
      to: String
    }
  }
</script>

<style scoped lang="scss">
  .menu-item {
    display: block;
    padding: 0.7em 0 0.7em 2em;

    &:hover {
      color: white;
      background-color: #04586c;
    }
    &:focus {
      text-decoration: none;
    }
  }

  .menu-item-active {
    color: white !important;
    background-color: #36496D;
    text-decoration: none;

    &:hover {
      background-color: #36496D;
      cursor: default;
    }
  }

  .icon {
    width: 1.2em;
    height: 1em;
    font-size: 0.72em;
    margin-bottom: 0.1em;
    margin-right: 1.4em;
  }
</style>